<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>SoulController.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">tutorial-5</a> &gt; <a href="index.source.html" class="el_package">id.ac.ui.cs.advprog.tutorial5.controller</a> &gt; <span class="el_source">SoulController.java</span></div><h1>SoulController.java</h1><pre class="source lang-java linenums">package id.ac.ui.cs.advprog.tutorial5.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import id.ac.ui.cs.advprog.tutorial5.core.Soul;
import id.ac.ui.cs.advprog.tutorial5.services.SoulService;

@RestController
@RequestMapping(path = &quot;/soul&quot;)
public class SoulController {

	@Autowired
    private final SoulService soulService;
    
<span class="nc" id="L26">    public SoulController(SoulService soulService) {</span>
<span class="nc" id="L27">        this.soulService = soulService;</span>
<span class="nc" id="L28">    }</span>

    @GetMapping
    public ResponseEntity&lt;List&lt;Soul&gt;&gt; findAll() {
<span class="nc" id="L32">        return ResponseEntity.ok(soulService.findAll());</span>
    }

    @PostMapping
    public ResponseEntity create(@RequestBody Soul soul) {
<span class="nc" id="L37">        return ResponseEntity.ok(soulService.register(soul));</span>
    }

    @GetMapping(&quot;/{id}&quot;)
    public ResponseEntity&lt;Soul&gt; findById(@PathVariable Long id) {
<span class="nc" id="L42">        return ResponseEntity.ok(soulService.findSoul(id).get());</span>
    }
	
	@PutMapping(&quot;/{id}&quot;)
    public ResponseEntity&lt;Soul&gt; update(@PathVariable Long id, @RequestBody Soul soul) {
<span class="nc bnc" id="L47" title="All 2 branches missed.">        if (id == soul.getId())</span>
<span class="nc" id="L48">            return ResponseEntity.ok(soulService.rewrite(soul));</span>
<span class="nc" id="L49">        return ResponseEntity.ok(soul);</span>
    }

    @DeleteMapping(&quot;/{id}&quot;)
    public ResponseEntity delete(@PathVariable Long id) {
<span class="nc" id="L54">        soulService.erase(id);</span>
<span class="nc" id="L55">        return ResponseEntity.ok(&quot;deleted&quot;);</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.5.201910111838</span></div></body></html>